Bug 805678 - Add 'diff' command to 'pulp-admin repo'
Add 'diff' command to 'pulp-admin repo'
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: z_other (Show other bugs)
1.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jay Dobies
Preethi Thomas
: Triaged
: 796414 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-21 15:45 EDT by Chris St. Pierre
Modified: 2012-05-25 10:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-25 10:15:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to add diff command (6.79 KB, application/octet-stream)
2012-03-21 15:45 EDT, Chris St. Pierre
no flags Details

  None (edit)
Description Chris St. Pierre 2012-03-21 15:45:13 EDT
Created attachment 571824 [details]
Patch to add diff command

Description of problem:

It's handy to be able to diff two repos.

Version-Release number of selected component (if applicable):

N/A

How reproducible:

Always.

Steps to Reproduce:
1. Try to find the command to diff two repos
2. Give up and write it.

Actual results:

You submit a patch to Bugzilla.

Expected results:

Someone applies said patch.

Additional info:

Patch attached.
Comment 1 Jim Perrin 2012-03-21 15:49:04 EDT
*** Bug 796414 has been marked as a duplicate of this bug. ***
Comment 2 Jim Perrin 2012-03-21 15:50:31 EDT
This patch appears to have the necessary output. I'm very much in favor of what this does.
Comment 3 Sayli Karmarkar 2012-03-30 13:32:02 EDT
Thanks for the patch. We will try to get it verified and then add it to v1.1.
Comment 4 Jay Dobies 2012-04-13 16:45:08 EDT
commit 390324048820367cb1c6514d12e55531d4c46f47
Author: Jay Dobies <jason.dobies@redhat.com>
Date:   Fri Apr 13 16:39:13 2012 -0400

    805678 - Incorporated patch to add repo diff functionality

src/pulp/client/admin/plugins/repo.py
src/pulp/client/api/repository.py


Added to the pulp_v1 branch.

QE - Make sure to test on RHEL 5. I have minor concerns about the terminal sizing and difflib usage (the latter for python 2.4 compatibility) but I think both should work.
Comment 5 Jeff Ortel 2012-04-19 11:44:34 EDT
build: 1.1.3
Comment 6 Preethi Thomas 2012-04-19 13:55:40 EDT
[root@rhel5-pulp ~]# rpm -q pulp
pulp-1.1.3-1
[root@rhel5-pulp ~]# cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 5.7 (Tikanga)
[root@rhel5-pulp ~]# 

[root@pulp-v1-1-server ~]# rpm -q pulp
pulp-1.1.3-1.fc16.noarch
[root@pulp-v1-1-server ~]# 


[root@rhel5-pulp ~]# pulp-admin -u admin -p admin repo diff  --id=pulp  --id2=pulp-clone
pulp                                    pulp-clone                             
======================================= =======================================
gofer-package-0.64-1.el6.noarch.rpm     gofer-package-0.64-1.el6.noarch.rpm    
gofer-0.64-1.el6.noarch.rpm             gofer-0.64-1.el6.noarch.rpm            
grinder-0.0.136-1.el6.noarch.rpm        grinder-0.0.136-1.el6.noarch.rpm       
m2crypto-debuginfo-0.21.1.pulp-7.el6.x86_64.rpm                                        
m2crypto-0.21.1.pulp-7.el6.x86_64.rpm   m2crypto-0.21.1.pulp-7.el6.x86_64.rpm  
mod_wsgi-debuginfo-3.3-3.pulp.el6.x86_64.rpm mod_wsgi-debuginfo-3.3-3.pulp.el6.x86_64.rpm
mod_wsgi-3.3-3.pulp.el6.x86_64.rpm      mod_wsgi-3.3-3.pulp.el6.x86_64.rpm     
pulp-admin-0.0.264-1.el6.noarch.rpm                                            
pulp-cds-0.0.264-1.el6.noarch.rpm                                              
pulp-client-lib-0.0.264-1.el6.noarch.rpm                                        
pulp-common-0.0.264-1.el6.noarch.rpm                                           
pulp-consumer-0.0.264-1.el6.noarch.rpm                                         
pulp-selinux-server-0.0.264-1.el6.noarch.rpm                                        
pulp-0.0.264-1.el6.noarch.rpm                                                  
python-gofer-0.64-1.el6.noarch.rpm                                             
python-isodate-0.4.4-4.pulp.el6.noarch.rpm python-isodate-0.4.4-4.pulp.el6.noarch.rpm
python-oauth2-1.5.170-2.pulp.el6.noarch.rpm python-oauth2-1.5.170-2.pulp.el6.noarch.rpm
python-qpid-0.7.946106-1.el6.noarch.rpm python-qpid-0.7.946106-1.el6.noarch.rpm
python-rhsm-0.96.4-1.el6.noarch.rpm     python-rhsm-0.96.4-1.el6.noarch.rpm    
python-webpy-0.32-8.el6.noarch.rpm      python-webpy-0.32-8.el6.noarch.rpm     

[root@rhel5-pulp ~]# 



[root@pulp-v1-1-server ~]# pulp-admin -u admin -p admin repo diff --id=katello --id2=pulp
katello                                 pulp                                   
======================================= =======================================
elasticsearch-debuginfo-0.18.4-7.fc16.x86_64.rpm                                        
elasticsearch-debuginfo-0.18.4-8.fc16.x86_64.rpm                                        
elasticsearch-0.18.4-8.fc16.x86_64.rpm                                         
elasticsearch-0.18.4-7.fc16.x86_64.rpm                                         
                                        gofer-package-0.66-1.fc16.noarch.rpm   
                                        gofer-0.66-1.fc16.noarch.rpm           
                                        grinder-0.0.147-1.fc16.noarch.rpm      
katello-agent-1.0.3-1.fc16.noarch.rpm                                          
katello-all-0.2.21-1.fc16.noarch.rpm                                           
katello-certs-tools-1.1.5-1.fc16.noarch.rpm                                        
katello-cli-common-0.2.18-1.fc16.noarch.rpm                                        
katello-cli-headpin-0.1.15-1.fc16.noarch.rpm                                        
katello-cli-tests-0.2.7-1.fc16.noarch.rpm                                        
katello-cli-0.2.18-1.fc16.noarch.rpm                                           
katello-common-0.2.21-1.fc16.noarch.rpm                                        
katello-configure-0.2.16-1.fc16.noarch.rpm                                        
katello-glue-candlepin-0.2.21-1.fc16.noarch.rpm                                        
katello-glue-foreman-0.2.21-1.fc16.noarch.rpm                                        
katello-glue-pulp-0.2.21-1.fc16.noarch.rpm                                        
katello-headpin-all-0.1.140-1.fc16.noarch.rpm                                        
katello-headpin-0.1.140-1.fc16.noarch.rpm                                        
katello-repos-0.2.1-1.fc16.noarch.rpm                                          
katello-selinux-0.2.4-1.fc16.noarch.rpm                                        
katello-0.2.21-1.fc16.noarch.rpm                                               
lucene3-contrib-3.4.0-2.fc16.noarch.rpm                                        
lucene3-3.4.0-2.fc16.noarch.rpm                                                
                                        m2crypto-debuginfo-0.21.1.pulp-7.fc16.x86_64.rpm
                                        m2crypto-0.21.1.pulp-7.fc16.x86_64.rpm 
                                        mod_wsgi-debuginfo-3.3-3.pulp.fc16.x86_64.rpm
                                        mod_wsgi-3.3-3.pulp.fc16.x86_64.rpm    
                                        pulp-admin-1.1.3-1.fc16.noarch.rpm     
                                        pulp-cds-1.1.3-1.fc16.noarch.rpm       
                                        pulp-client-lib-1.1.3-1.fc16.noarch.rpm
                                        pulp-common-1.1.3-1.fc16.noarch.rpm    
                                        pulp-consumer-1.1.3-1.fc16.noarch.rpm  
                                        pulp-selinux-server-1.1.3-1.fc16.noarch.rpm
                                        pulp-1.1.3-1.fc16.noarch.rpm           
                                        python-gofer-0.66-1.fc16.noarch.rpm    
                                        python-isodate-0.4.4-4.pulp.fc16.noarch.rpm
                                        python-oauth2-1.5.170-2.pulp.fc16.noarch.rpm
                                        python-qpid-0.7.946106-1.fc16.noarch.rpm
                                        python-rhsm-0.96.4-1.fc16.noarch.rpm   
                                        python-webpy-0.32-8.fc16.noarch.rpm    
rubygem-abstract-1.0.0-2.fc16.noarch.rpm                                        
rubygem-actionmailer-3.0.5-2.fc15.noarch.rpm                                        
rubygem-actionmailer-3.0.10-1.fc16.noarch.rpm                                        
rubygem-actionpack-3.0.10-1.fc16.noarch.rpm                                        
rubygem-actionpack-3.0.5-3.fc15.noarch.rpm                                        
rubygem-activemodel-3.0.10-1.fc16.noarch.rpm                                        
rubygem-activemodel-3.0.5-1.fc15.noarch.rpm                                        
rubygem-activerecord-3.0.10-1.fc16.noarch.rpm                                        
rubygem-activerecord-3.0.5-1.fc15.noarch.rpm                                        
rubygem-activeresource-3.0.10-1.fc16.noarch.rpm                                        
rubygem-activeresource-3.0.5-1.fc15.noarch.rpm                                        
rubygem-activesupport-3.0.5-3.fc15.noarch.rpm                                        
rubygem-activesupport-3.0.10-1.fc16.noarch.rpm                                        
rubygem-acts_as_reportable-1.1.1-2.fc16.noarch.rpm                                        
rubygem-arel-2.0.9-1.fc16.noarch.rpm                                           
rubygem-awesome_print-0.4.0-1.fc16.noarch.rpm                                        
rubygem-builder-2.1.2-3.fc16.noarch.rpm                                        
rubygem-bundler-1.0.15-1.fc16.noarch.rpm                                        
rubygem-capistrano-2.5.19-2.fc16.noarch.rpm                                        
rubygem-chunky_png-1.2.0-2.fc16.noarch.rpm                                        
rubygem-closure-compiler-0.3.3-2.fc15.noarch.rpm                                        
rubygem-closure-compiler-0.3.3-2.fc16.noarch.rpm                                        
rubygem-color-1.4.1-5.fc16.noarch.rpm                                          
rubygem-compass-960-plugin-0.10.4-1.fc16.noarch.rpm                                        
rubygem-compass-0.11.5-1.fc16.noarch.rpm                                        
rubygem-daemons-1.1.4-2.fc16.noarch.rpm                                        
rubygem-delayed_job-2.1.4-2.fc16.noarch.rpm                                        
rubygem-erubis-2.6.6-2.fc16.noarch.rpm                                         
rubygem-fast_gettext-0.5.10-1.fc16.noarch.rpm                                        
rubygem-fast_gettext-0.5.10-2.fc16.noarch.rpm                                        
rubygem-fssm-0.2.7-1.fc16.noarch.rpm                                           
rubygem-gettext_i18n_rails-0.2.13-1.fc16.noarch.rpm                                        
rubygem-gettext_i18n_rails-0.2.13-2.fc16.noarch.rpm                                        
rubygem-haml-rails-0.3.4-3.fc16.noarch.rpm                                        
rubygem-haml-3.1.2-1.fc16.noarch.rpm                                           
rubygem-hashr-0.0.19-2.fc16.noarch.rpm                                         
rubygem-highline-1.6.1-2.fc16.noarch.rpm                                        
rubygem-i18n-0.5.0-1.fc15.noarch.rpm                                           
rubygem-i18n_data-0.2.7-1.fc16.noarch.rpm                                        
rubygem-jammit-0.5.4-1.fc16.noarch.rpm                                         
rubygem-json-debuginfo-1.4.6-4.fc16.x86_64.rpm                                        
rubygem-json-1.4.6-4.fc16.x86_64.rpm                                           
rubygem-macaddr-1.0.0-2.fc16.noarch.rpm                                        
rubygem-mail-2.3.0-1.fc15.noarch.rpm                                           
rubygem-mime-types-1.16-4.fc16.noarch.rpm                                        
rubygem-multi_json-doc-1.0.3-1.fc16.noarch.rpm                                        
rubygem-multi_json-1.0.3-1.fc16.noarch.rpm                                        
rubygem-net-ldap-0.1.1-2.fc16.noarch.rpm                                        
rubygem-net-scp-1.0.4-2.fc16.noarch.rpm                                        
rubygem-net-sftp-2.0.5-2.fc16.noarch.rpm                                        
rubygem-net-ssh-gateway-1.0.1-2.fc16.noarch.rpm                                        
rubygem-net-ssh-2.0.23-2.fc16.noarch.rpm                                        
rubygem-oauth-0.4.4-1.fc16.noarch.rpm                                          
rubygem-pdf-writer-1.1.8-3.fc16.noarch.rpm                                        
rubygem-pg-0.11.0-5.fc16.x86_64.rpm                                            
rubygem-polyglot-0.3.1-1.fc15.noarch.rpm                                        
rubygem-polyglot-0.3.1-2.fc16.noarch.rpm                                        
rubygem-rack-mount-0.7.1-3.fc16.noarch.rpm                                        
rubygem-rack-mount-0.6.13-6.fc16.noarch.rpm                                        
rubygem-rack-test-0.5.7-1.fc16.noarch.rpm                                        
rubygem-rack-1.3.0-1.fc16.noarch.rpm                                           
rubygem-rails-3.0.10-1.fc16.noarch.rpm                                         
rubygem-rails-3.0.5-2.fc15.noarch.rpm                                          
rubygem-rails_warden-0.5.2-2.fc16.noarch.rpm                                        
rubygem-railties-3.0.5-1.fc15.noarch.rpm                                        
rubygem-railties-3.0.10-1.fc16.noarch.rpm                                        
rubygem-rake-0.9.2-1.fc15.noarch.rpm                                           
rubygem-rake-0.8.7-2.fc16.noarch.rpm                                           
rubygem-rcov-debuginfo-0.9.9-4.fc16.x86_64.rpm                                        
rubygem-rcov-doc-0.9.9-4.fc16.x86_64.rpm                                        
rubygem-rcov-0.9.9-4.fc16.x86_64.rpm                                           
rubygem-rdoc-3.8-2.fc16.noarch.rpm                                             
rubygem-redis-namespace-0.10.0-2.fc16.noarch.rpm                                        
rubygem-redis-2.1.1-1.fc16.noarch.rpm                                          
rubygem-redisk-0.2.2-2.fc16.noarch.rpm                                         
rubygem-regin-0.3.7-3.fc15.noarch.rpm                                          
rubygem-resque-status-0.2.0-2.fc16.noarch.rpm                                        
rubygem-resque-1.8.2-2.fc16.noarch.rpm                                         
rubygem-rest-client-1.6.1-2.fc16.noarch.rpm                                        
rubygem-ronn-0.7.3-7.fc16.noarch.rpm                                           
rubygem-ruport-1.6.3-2.fc16.noarch.rpm                                         
rubygem-sass-3.1.7-4.fc16.noarch.rpm                                           
rubygem-simple-navigation-3.3.4-1.fc16.noarch.rpm                                        
rubygem-sinatra-1.1.2-2.fc16.noarch.rpm                                        
rubygem-text-format-1.0.0-4.fc15.noarch.rpm                                        
rubygem-thin-debuginfo-1.2.11-10.fc16.x86_64.rpm                                        
rubygem-thin-doc-1.2.11-10.fc16.x86_64.rpm                                        
rubygem-thin-1.2.11-10.fc16.x86_64.rpm                                         
rubygem-thor-0.14.6-1.fc16.noarch.rpm                                          
rubygem-tilt-1.2.1-1.fc16.noarch.rpm                                           
rubygem-tire-0.3.12-1.fc16.noarch.rpm                                          
rubygem-tire-0.3.13-2.fc16.noarch.rpm                                          
rubygem-transaction-simple-1.4.0-4.fc16.noarch.rpm                                        
rubygem-treetop-1.4.9-1.fc16.noarch.rpm                                        
rubygem-tzinfo-0.3.26-1.fc15.noarch.rpm                                        
rubygem-vegas-0.1.8-3.fc16.noarch.rpm                                          
rubygem-warden-1.0.3-1.fc16.noarch.rpm                                         
rubygem-will_paginate-3.0.pre2-2.fc16.noarch.rpm                                        
rubygem-yui-compressor-0.9.1-2.fc16.noarch.rpm                                        

[root@pulp-v1-1-server ~]#
Comment 7 Preethi Thomas 2012-05-25 10:15:32 EDT
Pulp v1.1 Release

Note You need to log in before you can comment on or make changes to this bug.